/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 *
 * @format
 */

/* You can override the default Infima variables here. */
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");

/* @font-face {
  font-family: "Lato";
  src: url("/static/fonts/Lato-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
} */

:root {
  font-family: "Lato" !important;
  --font-family: "Lato" !important;
  --ifm-font-family-base: "Lato";
  --ifm-code-font-size: 95%;

  --ifm-color-primary: #107386;
  --ifm-color-primary-dark: #0e6779;
  --ifm-color-primary-darker: #0e6272;
  --ifm-color-primary-darkest: #0b505e;
  --ifm-color-primary-light: #127e93;
  --ifm-color-primary-lighter: #12849a;
  --ifm-color-primary-lightest: #1595ae;

  --ifm-font-color-base-inverse: var(--ifm-color-primary);

  --ifm-navbar-link-color: #ffffff;
  --ifm-navbar-link-hover-color: #87b9c3;
  --ifm-navbar-background-color: #122e45;

  --ifm-button-background-color: var(--ifm-color-primary);
  --button-hover-color: var(--ifm-navbar-background-color);

  --default-font-size: 1rem;
  --default-line-height: 1.5rem;

  --docsearch-muted-color: #1f527a !important;

  --primary-button-gap: 10px;
}

.markdown p:has(+ ul),
p:has(+ ol) {
  margin-bottom: 0;
}

html[data-theme="dark"] {
  --ifm-color-primary: #30d9a7;
  --ifm-color-primary-dark: #25ca99;
  --ifm-color-primary-darker: #23be90;
  --ifm-color-primary-darkest: #1d9d77;
  --ifm-color-primary-light: #46ddb1;
  --ifm-color-primary-lighter: #52dfb5;
  --ifm-color-primary-lightest: #73e5c4;
  --ifm-code-font-size: 95%;
}

.docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.1);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

.tabs-container {
  border: solid var(--ifm-tabs-color-active-border) 1px;
  padding: 16px;
  border-radius: var(--ifm-alert-border-radius);
  box-shadow: var(--ifm-alert-shadow);
}

.table-of-contents:before {
  content: "Page Outline";
  font-size: 1rem;
  font-weight: bold;
}

html[data-theme="dark"] .docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.3);
}

div[class^="announcementBar_"] {
  --site-announcement-bar-stripe-color1: #50aec1;
  --site-announcement-bar-stripe-color2: #cfe7e1;
  background: var(--site-announcement-bar-stripe-color2) !important;
  font-weight: bold;
}

body {
  -webkit-font-smoothing: subpixel-antialiased;
}

@media only screen and (min-width: 992px) {
  H1 {
    font-size: 2rem;
  }
  H2 {
    font-size: 1.8rem;
  }
  H3 {
    font-size: 1.6rem;
  }
  H4 {
    font-size: 1.4rem;
  }
  H5 {
    font-size: 1.2rem;
  }
  H6 {
    font-size: 1.1rem;
  }
  Body {
    font-size: var(--default-font-size);
  }
}

/*.header {
  font-size: 30px;
  color: var(--ifm-color-primary);
}*/

.invisible,
.hide {
  display: none;
}

.policy button,
.people button,
.credits button,
.terms-and-conditions button,
.linked-open-data-basics button,
.understand-lincs-data button,
.project-datasets button {
  display: none;
}

.DocSearch-Button-Key {
  font-weight: bolder;
}

.DocSearch-Button {
  width: 200px;
}
@media (max-width: 425px) {
  .DocSearch-Button {
    width: unset;
  }
}

.react-tooltip.entityButton-tooltip {
  padding: 8px 16px;
  border-radius: 3px;
  font-size: 0.8rem;
  width: 30rem;
  text-wrap: pretty;
  background-color: #000000;
}

/*Need to fix this, not targeting correct variable*/
@media (max-width: 996px) {
  .navbar__toggle {
    color: #ffffff;
  }
}

.navbar-sidebar {
  background-color: #ffffff;
}

.navbar-sidebar > div:first-child {
  background-color: var(--ifm-navbar-background-color);
}

.navbar-item {
  font-size: var(--default-font-size);
}

.navbar div.dropdown > a > svg {
  display: none;
}

.navbar div {
  padding-top: 0;
  padding-bottom: 0;
}

/* Footer Styling */

.footer {
  --ifm-footer-background-color: #122e45;
}

.footer a svg path {
  transition: fill var(--ifm-transition-fast)
    var(--ifm-transition-timing-default);
}

.footer a svg path:hover {
  fill: var(--ifm-navbar-link-hover-color);
}

.footer a {
  opacity: unset;
  color: #fff;
}

.footer a.license {
  text-decoration: underline;
}

.footer a:hover {
  color: var(--ifm-navbar-link-hover-color);
}

.footer .col a {
  white-space: nowrap;
}

.svg-icons {
  margin-top: 10px;
}

.cfi-logo {
  width: 70%;
}

.footer__title {
  font-size: 1.2rem;
}

@media screen and (max-width: 996px) {
  .cfi-logo {
    max-width: 300px;
    display: inline-block;
  }

  footer .row {
    text-align: center;
  }
}

.land-acknowledgement {
  font-style: italic;
  font-weight: 400;
  font-size: var(--default-font-size);
  line-height: 1.5rem;
}

/* Hero Container Stylings */

.hero {
  background-color: inherit;
  background-image: url("@site/static/img/index-page-images/bg-body.png");
  background-repeat: repeat-x;
}

.hero-container {
  display: flex;
  align-items: center;
  margin: auto;
  max-width: 1200px;
}

.hero-content {
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  max-width: 800px;
  padding-left: 1rem;
  padding-right: 1rem;
  width: 100%;
  align-items: flex-start;
}

.hero-image {
  max-width: 25%;
  margin-bottom: 10px;
  margin-left: 15px;
  height: auto;
}

.hero-content h1 {
  font-style: normal;
  font-weight: 700;
  font-size: 2.4rem;
  text-align: left;
}

.hero-content p {
  font-style: normal;
  font-weight: 400;
  color: #000000;
  font-size: 1.25rem;
  line-height: 1.8rem;
  text-align: left;
}

@media screen and (max-width: 996px) {
  .hero-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
  }

  .hero-content {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    max-width: 800px;
    width: 100%;
    align-items: center;
  }

  .hero-image {
    max-width: 50%;
    margin-bottom: 0;
    margin-right: 15px;
    height: auto;
  }

  .hero-content h2 {
    font-style: normal;
    font-weight: 700;
    font-size: 1.75rem;
    text-align: center;
  }

  .hero-content p {
    font-style: normal;
    font-weight: 400;
    color: #000000;
    font-size: 1.125rem;
    line-height: 1.6rem;
    text-align: center;
  }

  h1 {
    font-size: 1.25rem;
  }
}

@media screen and (max-width: 600px) {
  .hero-image {
    max-width: 100%;
    height: auto;
  }
}

@media screen and (max-width: 996px) {
  .hero-content h1 {
    text-align: center;
  }
}

/* Button Row Stylings */

.primary-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.primary-button-row + .primary-button-row {
  margin-top: 10px;
}

.markdown .primary-button-row + div, .markdown .primary-button-row + p {
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.hero-primary-button-row {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 1em;
}

@media screen and (max-width: 996px) {
  .hero-primary-button-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.5em;
  }
}

.spotlight-primary-button-row {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
}

.dataset-primary-button-row {
  display: flex;
  gap: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  justify-content: center;
  margin-top: auto; /* Push the subcomponent to the bottom */
  margin-bottom: 20px; /* Add 20px gap at the bottom */
}

.dataset-primary-button-row a {
  max-width: 80%;
  text-decoration: none;
}

.carousel-primary-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.mobile-carousel-primary-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 10px;
  max-width: 100%;
  align-self: center;
  gap: 10px;
}

.tile-primary-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.tod-primary-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  gap: 10px;
  margin-left: 24px;
  margin-bottom: 24px;
  margin-right: 24px;
}

@media screen and (max-width: 600px) {
  .hero-primary-button-row {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 10px;
  }

  .spotlight-primary-button-row {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 20px;
  }
  .dataset-primary-button-row {
    display: flex;
    width: 100%;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 20px;
  }
}

.tool-button-row,
.function-button-row
{
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  gap: 10px;
}

.tool-button-row ul  {
  justify-content: left;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-items: baseline;
  margin-top: -2rem !important;
}
.tool-button-row li, .dataset-button-row li {
  list-style: none;
  display: flex;
}

.tool-function-button-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
  margin-bottom: 16px;
  gap: 4px;
}

.dataset-button-row ul {
  justify-content: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-items: baseline;
  gap: 10px;
}

ul li.button-tag:first-child > div {
  margin-left: 0;
}

/* Doc Card Styling */
.card {
  background-color: #f1f1f1;
  border-color: var(--ifm-color-primary);
  height: 8rem;
}

.card > h2 {
  color: var(--ifm-color-primary);
}

.card > p {
  color: #000000;
}

/* Fixes for side bar */
.landing-page {
  display: none;
}

/* Weird jitter from hiding top item */
.menu__list .menu__list {
  margin-top: 0;
}

/* For banner images on tool pages and possibly others */
.banner img {
  width: 100%;
  object-fit: contain;
  height: 250px;
  align-items: center;
}
.cover-banner img {
  width: 100%;
  object-fit: cover !important;
  height: 250px;
  align-items: center;
}

iframe {
  display: flex;
  border: 0;
  height: 100%;
  width: 100%;
  background-color: #f1f1f1;
  border-radius: 4px;
  padding-bottom: 10px;
}

@media screen and (max-width: 465px) {
  iframe {
    height: 230px;
    padding-bottom: 10px;
  }
}

.markdown img {
  object-fit: contain;
  align-items: center;
}

/* LightGallery Adjustments */
.lg-sub-html {
  background: var(--ifm-navbar-background-color);
}

.lg-sub-html.lg-sub-html p {
  font-size: var(--default-font-size);
}
.lg-container .lg-sub-html a {
  text-decoration: underline;
}

.lg-container .lg-sub-html a:hover {
  color: var(--ifm-link-color);
}

.video-container {
  margin: 2em 0;
}

/* Yasgui */

@media only screen and (min-width: 1024px) {
  div#yasgui {
    margin-right: calc(-200px + 1rem);
  }
}

.yasqe .CodeMirror,
.yasr table {
  resize: auto;
}

span.nonIri {
  text-wrap: pretty;
}

/* Adding margins on main page */

.main-wrapper:has(header.hero.hero--primary) {
  margin-left: 1rem;
  margin-right: 1rem;
}

/* Removing added margin for swiper on smaller screens to indicate scrolling */

@media (max-width: 786px) {
  .swiper {
    margin-left: -1rem;
    margin-right: -1rem;
  }
}

/* Adding external link indication */

a[target="_blank"]:not(code a):not(:has(svg))::after {
  font: var(--fa-font-solid);
  font-family: "Font Awesome 6 Free";
  font-size: small;
  content: " \f35d ";
  padding-left: 0.1em;
  line-height: 1;
  font-weight: 900;
}
